CentOS7或8下安装Python3(3.8/3.9)

2021-10-03 469点热度 0人点赞 0条评论

一般发行版的CentOS都还是自带着Python2的版本,我们需要安装Python3以上的版本。

不过Python2在系统里是有被调用的,例如Yum依赖着Python2,所以一般都是重新安装一个Python3,而不是把Python2升级到Python3。

首先确定需要安装Python3.8还是Python3.9,可以浏览下https://www.python.org/downloads/确定下当前最新的Python3的版本,例如我们要安装的是Python3.8,看到Python3.8的最新版本是Python3.8.12

# 更新下yum,然后安装Development Tools,并安装必要的组件
yum -y update
yum -y groupinstall "Development Tools"
yum -y install openssl-devel bzip2-devel libffi-devel

# 检查下gcc是否可用
gcc --version
# gcc (GCC) 4.8.5 20150623 (Red Hat 4.8.5-39)

# 下载Python安装包,最新的版本可以到https://www.python.org/downloads/上面浏览下
cd /opt/
wget https://www.python.org/ftp/python/3.8.12/Python-3.8.12.tgz
tar xvf Python-3.8.12.tgz

cd Python-3.8*/
./configure --enable-optimizations

make altinstall

# 检查 Python 版本:
[[email protected] ~]# python3.8 --version
Python 3.8.12

 

admin

这个人很懒,什么都没留下

文章评论

您需要 登录 之后才可以评论